TOTP / HOTP 生成器 – 安全的一次性密码
TOTP / HOTP 生成器从共享的 Base32 密钥创建一次性密码。TOTP 使用当前时间,HOTP 使用计数器。选择 6、7 或 8 位数字,SHA-1、SHA-256 或 SHA-512,以及 15、30 或 60 秒的时间周期。实时倒计时显示当前 TOTP 验证码的剩余有效时间。
TOTP / HOTP 生成器创建双重身份验证中使用的一次性密码。它支持 TOTP(RFC 6238),根据当前时间和共享密钥生成新的验证码;也支持 HOTP(RFC 4226),根据计数器生成验证码。共享密钥以 Base32(RFC 4648)编码,这是 Google Authenticator 二维码携带的格式。
生成验证码时,工具使用共享密钥和所选设置。您可以选择 6、7 或 8 位数字,SHA-1、SHA-256 或 SHA-512,以及 TOTP 周期如 15、30 或 60 秒。实时倒计时条显示当前基于时间的验证码的剩余有效时间。计算使用 WebCrypto HMAC 并在浏览器本地运行。
TOTP 和 HOTP 的区别在于生成每个验证码所用的值:TOTP 使用时间,HOTP 使用计数器。两种格式都从共享密钥生成一次性密码,但在测试或处理特定双重身份验证流程时,这一区别很重要。使用该生成器为测试数据准备验证码、检查身份验证器工作流或比较两种标准。
TOTP / HOTP 生成器在浏览器中运行,不会向服务器发送数据。它没有服务器依赖,因此页面加载后可在离线状态下继续工作。适合需要在本地测试、夹具、文档或开发任务中使用验证码,而不将共享密钥发送到其他地方的开发者和 DevOps 工程师。
步骤 1:输入 Base32 格式的共享密钥,这是身份验证器二维码使用的编码。
步骤 2:设置可用选项:选择 6、7 或 8 位数字,以及 SHA-1、SHA-256 或 SHA-512。
步骤 3:为 TOTP 选择时间周期,如 15、30 或 60 秒。
步骤 4:生成一次性密码,并查看实时倒计时,了解当前 TOTP 验证码的剩余有效时间。
步骤 5:复制测试、夹具或其他工作流所需的值。
使用场景:为身份验证测试、夹具和种子数据生成 TOTP 或 HOTP 值,而不是手动输入示例验证码。
使用场景:准备测试数据时一次性创建一批验证码,作为手动编造数值的替代方案。
使用场景:根据所选标准和设置生成验证码,而不是依赖键盘上敲出的猜测值。
使用场景:测试身份验证器工作流时,查看共享的 Base32 密钥如何生成一次性密码。
使用场景:在开发或调试双重身份验证时,比较基于时间的 TOTP 验证码和基于计数器的 HOTP 验证码。
使用场景:为文档、演示或其他开发工作准备一次性密码示例。